PETSc version 3.15.5
Fix/Edit manual page

# PetscObjectSetOptions

Sets the options database used by the object. Call immediately after creating the object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetOptions(PetscObject obj,PetscOptions options)

Collective on PetscObject

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP.
| options | - the options database, use NULL for default

### Notes

if this is not called the object will use the default options database

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectSetOptionsPrefix(), PetscObjectAppendOptionsPrefix(), PetscObjectPrependOptionsPrefix(),
PetscObjectGetOptionsPrefix(), PetscObjectGetOptions()

### Level

advanced

### Location

src/sys/objects/prefix.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages